CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2009-0200

Integer underflow in OpenOffice.org (OOo) before 3.1.1 and StarOffice/StarSuite 7, 8, and 9 might allow remote attackers to execute arbitrary code via crafted records in the document table of a Word document, leading to a heap-based buffer overflow.
Publish Date : 2009-09-02 Last Update Date : 2017-09-28
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
9.3
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeOverflow
CWE ID 189

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat important
6.8
AV:N/AC:M/Au:N/C:P/I:P/A:P 2009-05-14 2009-09-01
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2009-0200 oval:org.opensuse.security:def:20090200 unix
DSA-1880 openoffice.org -- several vulnerabilities oval:org.mitre.oval:def:8007 unix
DSA-1880-1 openoffice.org -- several oval:org.mitre.oval:def:13337 unix
ELSA-2009:1426: openoffice.org security update (Important) oval:org.mitre.oval:def:22001 unix
Integer underflow in OpenOffice.org (OOo) before 3.1.1 and StarOffice/StarSuite 7, 8, and 9 might allow remote attackers... oval:org.mitre.oval:def:10881 unix
RHSA-2009:1426 -- openoffice.org security update (Important) oval:org.mitre.oval:def:29111 unix
RHSA-2009:1426: openoffice.org security update (Important) oval:com.redhat.rhsa:def:20091426 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2009-0200

# Product Type Vendor Product Version Update Edition Language
1 Application Openoffice Openoffice.org 1.0-ru Version Details Vulnerabilities
2 Application Openoffice Openoffice.org 1.0.0 Version Details Vulnerabilities
3 Application Openoffice Openoffice.org 1.0.1 Version Details Vulnerabilities
4 Application Openoffice Openoffice.org 1.0.2 Version Details Vulnerabilities
5 Application Openoffice Openoffice.org 1.0.3.1 Version Details Vulnerabilities
6 Application Openoffice Openoffice.org 1.1 RC1 Version Details Vulnerabilities
7 Application Openoffice Openoffice.org 1.1 Beta2 Version Details Vulnerabilities
8 Application Openoffice Openoffice.org 1.1 Beta Version Details Vulnerabilities
9 Application Openoffice Openoffice.org 1.1 Version Details Vulnerabilities
10 Application Openoffice Openoffice.org 1.1 RC3 Version Details Vulnerabilities
11 Application Openoffice Openoffice.org 1.1.1 Version Details Vulnerabilities
12 Application Openoffice Openoffice.org 1.1.2 Version Details Vulnerabilities
13 Application Openoffice Openoffice.org 1.1.3 Version Details Vulnerabilities
14 Application Openoffice Openoffice.org 1.1.4 Version Details Vulnerabilities
15 Application Openoffice Openoffice.org 1.1.5 Version Details Vulnerabilities
16 Application Openoffice Openoffice.org 1.9.84 Version Details Vulnerabilities
17 Application Openoffice Openoffice.org 1.9.87 Version Details Vulnerabilities
18 Application Openoffice Openoffice.org 1.9.91 Version Details Vulnerabilities
19 Application Openoffice Openoffice.org 1.9.93 Version Details Vulnerabilities
20 Application Openoffice Openoffice.org 1.9.95 Version Details Vulnerabilities
21 Application Openoffice Openoffice.org 1.9.100 Version Details Vulnerabilities
22 Application Openoffice Openoffice.org 1.9.104 Version Details Vulnerabilities
23 Application Openoffice Openoffice.org 1.9.113 Version Details Vulnerabilities
24 Application Openoffice Openoffice.org 1.9.118 Version Details Vulnerabilities
25 Application Openoffice Openoffice.org 1.9.122 Version Details Vulnerabilities
26 Application Openoffice Openoffice.org 1.9.130 Version Details Vulnerabilities
27 Application Openoffice Openoffice.org 1.9.156 Version Details Vulnerabilities
28 Application Openoffice Openoffice.org 1.9.680 Version Details Vulnerabilities
29 Application Openoffice Openoffice.org 2.0 Beta2 Version Details Vulnerabilities
30 Application Openoffice Openoffice.org 2.0 Version Details Vulnerabilities
31 Application Openoffice Openoffice.org 2.0.1 Version Details Vulnerabilities
32 Application Openoffice Openoffice.org 2.0.2 RC1 Version Details Vulnerabilities
33 Application Openoffice Openoffice.org 2.0.2 RC2 Version Details Vulnerabilities
34 Application Openoffice Openoffice.org 2.0.2 Version Details Vulnerabilities
35 Application Openoffice Openoffice.org 2.0.3 Version Details Vulnerabilities
36 Application Openoffice Openoffice.org 2.0.4 Version Details Vulnerabilities
37 Application Openoffice Openoffice.org 2.1 Version Details Vulnerabilities
38 Application Openoffice Openoffice.org 2.1.152 Version Details Vulnerabilities
39 Application Openoffice Openoffice.org 2.1.154 Version Details Vulnerabilities
40 Application Openoffice Openoffice.org 2.2 Version Details Vulnerabilities
41 Application Openoffice Openoffice.org 2.2.1 Version Details Vulnerabilities
42 Application Openoffice Openoffice.org 2.3 Version Details Vulnerabilities
43 Application Openoffice Openoffice.org 2.3.1 Version Details Vulnerabilities
44 Application Openoffice Openoffice.org 2.4 Version Details Vulnerabilities
45 Application Openoffice Openoffice.org 2.4.1 64-bit Version Details Vulnerabilities
46 Application Openoffice Openoffice.org 2.4.1 Version Details Vulnerabilities
47 Application Openoffice Openoffice.org 3.01 Version Details Vulnerabilities
48 Application Openoffice Openoffice.org 3.1 Version Details Vulnerabilities
49 Application Openoffice Openoffice.org 609 Version Details Vulnerabilities
50 Application Openoffice Openoffice.org 614 Version Details Vulnerabilities
51 Application Openoffice Openoffice.org 619 Version Details Vulnerabilities
52 Application Openoffice Openoffice.org 627 Version Details Vulnerabilities
53 Application Openoffice Openoffice.org 633 Version Details Vulnerabilities
54 Application Openoffice Openoffice.org 638 Version Details Vulnerabilities
55 Application Openoffice Openoffice.org 643 Version Details Vulnerabilities
56 Application Openoffice Openoffice.org 605b Version Details Vulnerabilities
57 Application Openoffice Openoffice.org 638c Version Details Vulnerabilities
58 Application Openoffice Openoffice.org 641b Version Details Vulnerabilities
59 Application Openoffice Openoffice.org 641d Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Openoffice Openoffice.org 59

- References For CVE-2009-0200

http://www.vupen.com/english/advisories/2009/2490
VUPEN ADV-2009-2490
http://www.securityfocus.com/archive/1/archive/1/506194/100/0/threaded
BUGTRAQ 20090901 Secunia Research: OpenOffice.org Word Document Table Parsing Integer Underflow
http://www.securityfocus.com/bid/36200
BID 36200 OpenOffice Word Document Table Parsing Multiple Heap Based Buffer Overflow Vulnerabilities Release Date:2014-09-02
http://www.mandriva.com/security/advisories?name=MDVSA-2010:105
MANDRIVA MDVSA-2010:105
http://www.openoffice.org/security/cves/CVE-2009-0200-0201.html CONFIRM
http://www.mandriva.com/security/advisories?name=MDVSA-2010:091
MANDRIVA MDVSA-2010:091
http://www.gentoo.org/security/en/glsa/glsa-201408-19.xml
GENTOO GLSA-201408-19
http://www.mandriva.com/security/advisories?name=MDVSA-2010:035
MANDRIVA MDVSA-2010:035
http://www.debian.org/security/2009/dsa-1880
DEBIAN DSA-1880
http://sunsolve.sun.com/search/document.do?assetkey=1-77-1020715.1-1
SUNALERT 1020715
http://lists.opensuse.org/opensuse-security-announce/2009-09/msg00001.html
SUSE SUSE-SR:2009:015
http://sunsolve.sun.com/search/document.do?assetkey=1-26-263508-1
SUNALERT 263508
http://development.openoffice.org/releases/3.1.1.html

- Metasploit Modules Related To CVE-2009-0200

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.